package com.liquidnet.service.kylin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class KylinGroupBuyDiscount implements Serializable, Cloneable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "mid", type = IdType.AUTO)
    private Integer mid;

    private String discountId;
    private String activityId;
    private String performanceId;
    private String timeId;
    private String ticketId;
    private Integer discountType;
    private BigDecimal discountValue;
    private LocalDateTime createdAt;

    private static final KylinGroupBuyDiscount obj = new KylinGroupBuyDiscount();

    public static KylinGroupBuyDiscount getNew() {
        try {
            return (KylinGroupBuyDiscount) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinGroupBuyDiscount();
        }
    }
}
